Andrew Randles | 1 Nov 08:23 2005
Picon

Can't Start Ocatave

I have run into a problem with octave.  After doing a series of updates and reconfigures I have run into a problem.  When I try to start octave I end up with this output

GNU Octave, version 2.1.69 (i686-pc-linux-gnu).
Copyright (C) 2005 John W. Eaton.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Additional information about Octave is available at http://www.octave.org.

Please contribute if you find this software useful.
For more information, visit http://www.octave.org/help-wanted.html

Report bugs to <bug <at> octave.org> (but first, please read
http://www.octave.org/bugs.html to learn how to write a helpful report).

panic: Aborted -- stopping myself...
terminate called after throwing an instance of 'std::length_error'
  what():  basic_string::_S_create
panic: attempted clean up apparently failed -- aborting...
Aborted

I am not sure what other info is needed.  The ouptut form emerge --info is also included.

Portage 2.0.51.22-r3 (default-linux/x86/2005.1, gcc-3.4.4, glibc-2.3.5-r2 , 2.6.13-gentoo-r4 i686)
=================================================================
System uname: 2.6.13-gentoo-r4 i686 Intel(R) Pentium(R) M processor 1.80GHz
Gentoo Base System version 1.6.13
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [disabled]
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:   1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=pentium-m -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig candy distlocks fixpackages sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.gentoo.gr.jp http://gentoo.gg3.net/ ftp://gg3.net/pub/linux/gentoo/ ftp://ftp.ecc.u-tokyo.ac.jp/GENTOO"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/trunk"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac acpi acpi4linux alsa amd anthy avi bash-completion beepmp bigger-fonts bitmap-fonts bluetooth bmp bootspla c canna cddb cdparanoia cdr cdrom cjk cpudetection crypt css cups dropadow dvd encode examples fftw firefox fortran freewnn gif ginac gs gtk gtk2 hdf5 imagemagick imap imlib irmc java jpeg latex mmx mmx2 mmxext mozsvg mp3 mpeg mpeg4 mpi mplayer network nls nomac nptl oav ogg oggvorbis opengl pcmcia pdf perl png python qhull quicktime radeon real samba screenshot sdl spell sse sse2 ssl stream svg svga tcltk tetex theora tiff truetype truetype-fonts trusted type1-fonts unicode usb v4l vorbis wifi win32codecs wmf xscreensaver xv xvid zlib video_cards_radeon userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS


Thanks for your help,
Andrew
Markus Dittrich | 1 Nov 16:42 2005
Picon

Re: Can't Start Ocatave


On Tue, 1 Nov 2005, Andrew Randles wrote:
> I have run into a problem with octave. After doing a series of updates and
> reconfigures I have run into a problem. When I try to start octave I end up
> with this output

Hi Andrew,

Please file a bug in bugzilla about this problem. It is
easier to keep track of things that way. Thanks in advance!

> CFLAGS="-march=pentium-m -O3 -pipe -fomit-frame-pointer"
> CHOST="i686-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env
> /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env
> /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
> /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
> CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
> CXXFLAGS="-march=pentium-m -O3 -pipe -fomit-frame-pointer"

Furthermore, please try to recompile octave using -O2 instead
of -O3. You might also want to try replacing -march=pentium-m
by -march=pentium3. Please report back (in bugzilla preferably)
if this changes anything.

cheers,
Markus
Bill Dandreta | 2 Nov 17:58 2005
Picon
Picon

matplotlib

Gentoo has

matplotlib-0.73.1.ebuild
matplotlib-0.80-r1.ebuild
matplotlib-0.81.ebuild
matplotlib-0.82.ebuild

0.81 is latest stable.

The latest release from matplotlib is 0.84.

Why is Gentoo so far behind?

Bill
--

-- 
gentoo-science <at> gentoo.org mailing list

Raimondo Giammanco | 2 Nov 19:33 2005
Picon

Re: matplotlib

On Wed, 2005-11-02 at 11:58 -0500, Bill Dandreta wrote:

> 
> The latest release from matplotlib is 0.84.
> 
> Why is Gentoo so far behind?
> 
> Bill

Maybe because you did not test it and open a bug saying it 
is working for you and they could put it in ~arch?

If it is just a minor revision you can try to just rename 
the ebuild, digest it, compile it, and if all goes 
well you put it in your PORTAGE_OVERLAY.

Try it, it is fun.

Best Regards

-- 
Raimondo Giammanco <rongten <at> member.fsf.org>

--

-- 
gentoo-science <at> gentoo.org mailing list

Bill Dandreta | 2 Nov 21:10 2005
Picon
Picon

Re: matplotlib

Raimondo Giammanco wrote:

>Maybe because you did not test it and open a bug saying it 
>is working for you and they could put it in ~arch?
>
>If it is just a minor revision you can try to just rename 
>the ebuild, digest it, compile it, and if all goes 
>well you put it in your PORTAGE_OVERLAY.
>
I did tweak one of the ebuilds to make one for 0.84 and have been using 
it for a while without problems. I don't know if a bug report is 
appropriate, there is no bug it's just not up to date.

Bill
--

-- 
gentoo-science <at> gentoo.org mailing list

Markus Dittrich | 2 Nov 21:41 2005
Picon

Re: matplotlib


On Wed, 2 Nov 2005, Bill Dandreta wrote:

> Raimondo Giammanco wrote:
> 
> >Maybe because you did not test it and open a bug saying it 
> >is working for you and they could put it in ~arch?
> >
> >If it is just a minor revision you can try to just rename 
> >the ebuild, digest it, compile it, and if all goes 
> >well you put it in your PORTAGE_OVERLAY.
> >
> I did tweak one of the ebuilds to make one for 0.84 and have been using 
> it for a while without problems. I don't know if a bug report is 
> appropriate, there is no bug it's just not up to date.
> 
> Bill

Hi Bill,

Gentoo's bugzilla doesn't only keep track of bugs but
all sorts of other things, new/updated ebuilds included.
The following link should provide you with the necessary
information on how to submit your ebuild for matplotlib-0.84 
to bugzilla

http://www.gentoo.org/doc/en/ebuild-submit.xml

Thanks,
Markus

--

-- 
Markus Dittrich (markusle)
Gentoo Linux Developer
Scientific applications
Bill Dandreta | 3 Nov 01:02 2005
Picon
Picon

Re: matplotlib

Markus Dittrich wrote:

>Hi Bill,
>
>Gentoo's bugzilla doesn't only keep track of bugs but
>all sorts of other things, new/updated ebuilds included.
>The following link should provide you with the necessary
>information on how to submit your ebuild for matplotlib-0.84 
>to bugzilla
>
>http://www.gentoo.org/doc/en/ebuild-submit.xml
>
>  
>
I just checked and someone submitted a matplotlib 0.84 ebuild last week. 
It is almost identical to mine.

Bill
--

-- 
gentoo-science <at> gentoo.org mailing list

Markus Dittrich | 3 Nov 01:18 2005
Picon

Re: matplotlib


On Wed, 2 Nov 2005, Bill Dandreta wrote:

> Markus Dittrich wrote:
> 
> I just checked and someone submitted a matplotlib 0.84 ebuild last week. 
> It is almost identical to mine.
> 
> Bill
> -- 

Hi Bill,

Excellent! Let's hope that the version bump will make
its way into portage soon.

cheers,
Markus

--

-- 
Markus Dittrich (markusle)
Gentoo Linux Developer
Scientific applications
Glenn Johnson | 16 Nov 20:24 2005
Picon

MPICH depends on X11?

I am trying to upgrade mpich to version 1.2.7_p1 and it wants to
install xorg and friends. I do not want X11 and have never had it
installed in the past. Does mpich really need xorg? If not, then how
can I tell portage about it?

Thanks.
--
Glenn Johnson

--

-- 
gentoo-science <at> gentoo.org mailing list

Philippe Trottier | 16 Nov 20:56 2005
Picon

Re: MPICH depends on X11?

Glenn Johnson wrote:
> I am trying to upgrade mpich to version 1.2.7_p1 and it wants to
> install xorg and friends. I do not want X11 and have never had it
> installed in the past. Does mpich really need xorg? If not, then how
> can I tell portage about it?
> 
> Thanks.
> --
> Glenn Johnson

I have stooped using mpich and started use lam-mpi take a look at that ?

I have never tried mpich without X so I cannot say much more.

Phil

--

-- 
gentoo-science <at> gentoo.org mailing list


Gmane